Transaction Reconciliation API
An API for querying transaction history for a specific transaction date. When the merchant server calls the Transaction Reconciliation API on the Hecto Financial server, the reconciliation results from Hecto Financial are returned.
Test Key Information
API Information
POST/api/pg/{merchantId}/transInfo.do
Content-Type
application/x-www-form-urlencoded테스트
https://tb-nspay.settlebank.co.kr/api/pg/{merchantId}/transInfo.do운영
https://nspay.settlebank.co.kr/api/pg/{merchantId}/transInfo.doNotes
NOTE
Transaction Reconciliation API Guide
The Transaction Reconciliation API queries all transaction history that occurred on a specific transaction date. Please be aware that a large volume of data may be returned.
- The response format is pipe (|) delimited text.
- The first row contains the result code, result message, and number of records found.
- On a successful query, transaction details are output from the second row onward.
Request Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
└mchtIdAN(10)Alphanumeric, up to 10 bytes*Unique merchant ID assigned by Hecto Financial
Unique merchant ID assigned by Hecto Financial
└mchtTyAN(1)Alphanumeric, up to 1 bytes*Merchant ID type
Merchant ID type
M: Query by Merchant ID G: Query by Group ID└repMchtIdAN(10)Alphanumeric, up to 10 bytesRepresentative merchant ID. Required when mchtTy is G (Group ID). Use the hashKey associated with repMchtId when generating pktHash.
Representative merchant ID. Required when mchtTy is G (Group ID). Use the hashKey associated with repMchtId when generating pktHash.
└methodAN(2)Alphanumeric, up to 2 bytes*Payment method
Payment method
ALL: All payment methods CA: Credit Card VA: Virtual Account RA: Bank Transfer MP: Mobile Payment TM: T-Money CG: Culture Gift Card SG: Smart Munhwa Gift Card BG: Book Culture Gift Card HM: Happy Money TC: Teencash CP: Point Damoaa PZ: Simple Payment└pdTyAN(1)Alphanumeric, up to 1 bytes*Query period type code
Query period type code
*Fixed value
└trdDtStN(8)Numeric, up to 8 bytes*Transaction date (yyyyMMdd)
Transaction date (yyyyMMdd)
└ezpIncYNAN(1)Alphanumeric, up to 1 bytesWhether to include Simple Payment (PZ) transactions in the reconciliation results
Whether to include Simple Payment (PZ) transactions in the reconciliation results
Y: Include N or not set: Exclude└pktHashAN(200)Alphanumeric, up to 200 bytes*
SHA-256Hash value generated using SHA256(실시간 생성)Hash value generated using SHA256
NOTE
Hash Generation Combination
mchtId + trdDtSt + hashKey
Response Format
The response is pipe (|) delimited text.
Query Result (First Row)
| No. | Field | Type | Description |
|---|---|---|---|
| 1 | Result Code | AN(4) | API response result code |
| 2 | Result Message | AN | API response result message |
| 3 | Number of Records | N | Number of successfully queried transaction records |
Transaction Details (From Second Row)
On a successful query (result: 0000), transaction details are output from the second row onward.
| No. | Field | Type | Description |
|---|---|---|---|
| 1 | Merchant ID | AN(10) | Merchant ID |
| 2 | Payment Method | N(2) | Payment method code |
| 3 | Hecto Financial Transaction No. | AN(40) | Transaction number generated by Hecto Financial |
| 4 | Order Number | AN(100) | Merchant order number |
| 5 | Approval Type | AN(1) | 0: Approval, 1: Cancellation |
| 6 | Transaction Date | N(8) | Transaction date (cancellation date) yyyyMMdd |
| 7 | Transaction Time | N(6) | Transaction time (cancellation time) hhmmss |
| 8 | Transaction Amount | N(13) | Transaction amount |
| 9 | Original Transaction No. | AN(40) | Original transaction number for cancellation transactions |
| 10 | Original Transaction Date | N(8) | Original transaction date for cancellation transactions |
| 11 | Orderer Name | AN(88) | Merchant orderer name |
| 12 | Product Name | AN(200) | Merchant product name |
| 13 | Approval Number | AN | Credit card approval number |
| 14 | Financial Institution Code | AN | Credit card: card issuer code, Bank transfer/Virtual account: financial institution code, Mobile: telecom company code, Simple payment: card issuer code / simple payment company code |
| 15 | Installment Months | N(2) | Credit card transaction installment months |
| 16 | Interest-free Installment | AN(1) | Whether the transaction is a merchant-subsidized interest-free installment (credit card). N: Normal, Y: Interest-free installment transaction |
| 17 | Simple Payment Company Code | AN(3) | Value used to identify the simple payment company when the payment method is Simple Payment (PZ) and the financial institution code is a card issuer code |
| 18 | Product Code | AN(3) | Value used to distinguish the primary payment method from the secondary payment method in combined payments |
| 19 | Combined Payment Transaction No. | AN(40) | Original transaction number for combined payments |
Response Example
Successful Response
0000|Successfully processed.|6|
nxca_jt_il|CA|STFP_PGCAnxca_jt_il0260720100000M1000001|ORDER20260720100001|0|20260720|100000|10000|||홍길동|테스트상품|99100001|02|00|N|
nxca_jt_il|CA|STFP_PGCAnxca_jt_il0260720103000M1000002|ORDER20260720100002|0|20260720|103000|30000|||김철수|테스트상품2|99100002|05|03|Y|
nxca_jt_il|CA|STFP_PGCAnxca_jt_il0260720110000M1000003|ORDER20260720100001|1|20260720|110000|10000|STFP_PGCAnxca_jt_il0260720100000M1000001|20260720|홍길동|테스트상품|99100001|02|00|N|
nxca_jt_il|PZ|STFP_PGPZnxca_jt_il0260720120000M1000004|ORDER20260720100004|0|20260720|120000|5000||||테스트상품3|||00|N|
nxca_jt_il|PZ|STFP_PGPZnxca_jt_il0260720130000M1000005|ORDER20260720100004|1|20260720|130000|5000|STFP_PGPZnxca_jt_il0260720120000M1000004|20260720||테스트상품3|||00|N|
nxca_jt_il|CA|STFP_PGCAnxca_jt_il0260720140000M1000006|ORDER20260720100006|0|20260720|140000|20000|||이영희|테스트상품|99100006|11|00|N|
Failure Response
ST92|Hash value mismatch.|0|
Result Codes
| Code | Description |
|---|---|
| 0000 | Successfully processed. |
| 1001 | No records found |
| ST09 | Invalid request message |
| ST10 | Internal system error |
| ST90 | Unregistered merchant ID |
| ST91 | Required parameter error |
| ST92 | Hash value mismatch |
Card Issuer Codes (Acquiring Company Codes)
| Code | Card Issuer |
|---|---|
| 01 | BC |
| 02 | Kookmin |
| 03 | Hana |
| 04 | Samsung |
| 05 | Shinhan |
| 08 | Hyundai |
| 09 | Lotte |
| 11 | Woori |
| 15 | NH |
Financial Institution Codes
| Code | Financial Institution |
|---|---|
| 002 | Korea Development Bank |
| 003 | Industrial Bank of Korea (IBK) |
| 004 | KB Kookmin Bank |
| 007 | Suhyup Bank / National Federation of Fisheries Cooperatives |
| 011 | NH Bank |
| 012 | National Agricultural Cooperative Federation |
| 020 | Woori Bank |
| 023 | Standard Chartered Bank Korea |
| 027 | Citibank Korea |
| 031 | Daegu Bank |
| 032 | BNK Busan Bank |
| 034 | Kwangju Bank |
| 035 | Jeju Bank |
| 037 | Jeonbuk Bank |
| 039 | BNK Kyongnam Bank |
| 045 | National Credit Union Federation of Korea |
| 048 | National Credit Union Federation |
| 050 | Mutual Savings Bank |
| 054 | HSBC Bank |
| 055 | Deutsche Bank |
| 057 | JPMorgan Chase Bank |
| 060 | Bank of America |
| 062 | Industrial and Commercial Bank of China |
| 064 | National Forestry Cooperative Federation |
| 071 | Korea Post |
| 081 | Hana Bank |
| 088 | Shinhan Bank |
| 089 | Kbank |
| 090 | KakaoBank |
| 092 | Toss Bank |
| 103 | SBI Savings Bank |
| 209 | Yuanta Securities |
| 218 | KB Securities |
| 238 | Mirae Asset Daewoo |
| 240 | Samsung Securities |
| 243 | Korea Investment & Securities |
| 247 | NH Investment & Securities |
| 261 | Kyobo Securities |
| 262 | Hi Investment & Securities |
| 263 | Hyundai Motor Securities |
| 264 | Kiwoom Securities |
| 265 | eBest Investment & Securities |
| 266 | SK Securities |
| 267 | Daishin Securities |
| 269 | Hanwha Investment & Securities |
| 270 | Hana Financial Investment |
| 278 | Shinhan Financial Investment |
| 279 | Dongbu Securities |
| 280 | Eugene Investment & Securities |
| 287 | Meritz Securities |
| 290 | Bookook Securities |
| 291 | Shinyoung Securities |
| 292 | Cape Investment & Securities |
Payment Method Codes
| Code | Payment Method |
|---|---|
| CA | Credit Card |
| VA | Virtual Account |
| RA | Bank Transfer |
| MP | Mobile Payment |
| TM | T-Money |
| CG | Culture Gift Card |
| SG | Smart Munhwa Gift Card |
| BG | Book Culture Gift Card |
| HM | Happy Money |
| TC | Teencash |
| CP | Point Damoaa |
| PZ | Simple Payment |
Telecom Company Codes
| Code | Telecom Company |
|---|---|
| SKT | SK Telecom |
| KTF | KT |
| LGT | LG U+ |
| SKL | SK 7 Mobile |
| CJH | CJ Hello Mobile |
| KCT | Korea Cable Telecom |
Simple Payment Company Codes
| Code | Simple Payment Company |
|---|---|
| KKP | KakaoPay |
| NVP | NaverPay |
| PAC | Payco |
| TOS | TossPay |
Product Codes
| Code | Product Name |
|---|---|
| CAP | Credit Card |
| KKM | Kakao Money |
| PNT | Points |
| COU | Payco Coupon |
| TSM | Toss Money |
Need technical support?
Code Samples
HectoFinancial GitHub